> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Variant Information

GET https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product

Returns detailed information for each product variant provided in the `variantSkus` parameter. Several fields are duplicated in other formats for convenience.

Analogous to the [Get a product variant](/developer/api-reference/rest/admin/catalog/product-variants/get-product-variant) endpoint in the default BigCommerce API. 

Equivalent Storefront GraphQL API Query: `variantSku`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/catalog/get-catalogs-quick-product

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Query parameters

- `variantSkus` (string, required) — A collection of SKUs associated with product variants, separated by `|`.

## Response

### 200

SUCCESS

- `code` (integer, optional) — HTTP status code indicating the result of the operation.
- `message` (string, optional) — Message describing the result of the operation.
- `data` (list of CatalogsQuickProductGetResponsesContentApplicationJsonSchemaDataItems, optional) — List of product variant data objects.

## Types

### CatalogsQuickProductGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional) — The unique variant ID as assigned by BigCommerce.
- `product_id` (integer, optional) — The unique product ID associated with the variant's parent product as assigned by BigCommerce.
- `sku` (string, optional) — SKU (Stock Keeping Unit) for the variant. This field is unique in a given BigCommerce catalog.
- `calculated_price` (float, optional) — The calculated price of the variant including currency and sale adjustments.
- `cost_price` (float, optional) — The cost price of the variant.
- `purchasing_disabled` (boolean, optional) — Indicates whether purchasing this variant is disabled. A value of `false` indicates that the product is purchasable on the storefront.
- `image_url` (string, optional) — The URL to the image associated with the variant. This will usually be a BigCommerce CDN link.
- `inventory_level` (integer, optional) — The current inventory level for the variant.
- `option_values` (list of VariantOption, optional) — The list of options and their values that determine the variant.
- `variantSku` (string, optional) — The SKU of the variant (duplicated from `sku` for convenience).
- `productId` (string, optional) — String representation of the product ID (duplicated from `product_id` for compatibility).
- `variantId` (string, optional) — String representation of the variant ID (duplicated from `id` for compatibility).
- `baseSku` (string, optional) — The base SKU from which the variant is derived. This is usually the SKU of the parent product, if it exists.
- `productName` (string, optional) — The name of the product as displayed on product listing and detail pages.
- `categories` (list of integer, optional) — The list of category IDs to which the product is assigned.
- `price` (float, optional) — The default price of the variant (may be the same as `calculated_price` if sale price is unset and the default store currency is used).
- `option` (list of VariantOption, optional) — The list of options and their values that determine the variant. Duplicated from `option_values`.
- `isVisible` (enum, optional) — Indicates the variant's visibility status A value of `1` indicates the variant is visible, while `0` indicates it is hidden.
  - Allowed values: `0`, `1`

### VariantOption

Option and corresponding value for a variant (e.g., color, size).

- `id` (integer, optional) — The unique option value ID as assigned by BigCommerce. Does **not** match the variant ID by default.
- `label` (string, optional) — The display name for the specific option value.
- `option_id` (integer, optional) — The unique option ID as assigned by BigCommerce. The option contains all the values associated with it. For example, a `Color` option might contain `red`, `green`, and `blue`.
- `option_display_name` (string, optional) — The display name for the option.

## Examples

**Response**

```json
{
  "code": 200,
  "message": "Success",
  "data": [
    {
      "id": 118,
      "product_id": 134,
      "sku": "HB-2-RE-SM",
      "calculated_price": 15,
      "cost_price": 0,
      "purchasing_disabled": false,
      "image_url": "https://cdn.example.com/product_images/attribute_rule_images/2_source_1709578415.jpg",
      "inventory_level": 0,
      "option_values": [
        {
          "id": 113,
          "label": "Red",
          "option_id": 120,
          "option_display_name": "Color"
        }
      ],
      "variantSku": "HB-2-RE-SM",
      "productId": "134",
      "variantId": "118",
      "baseSku": "HB-2",
      "productName": "A Most Excellent Product",
      "categories": [
        24
      ],
      "price": 15,
      "option": [
        {
          "id": 113,
          "label": "Red",
          "option_id": 120,
          "option_display_name": "Color"
        }
      ],
      "isVisible": "1"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product"

querystring = {"variantSkus":"HB-2-RE-SM|HB-2-GR-SM|HB-2-BL-SM"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product?variantSkus=HB-2-RE-SM%7CHB-2-GR-SM%7CHB-2-BL-SM")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```